/*---------------------------------------------------------------------------------

$Id: main.cpp,v 1.13 2008-12-02 20:21:20 dovoto Exp $

Simple console print demo
-- dovoto


---------------------------------------------------------------------------------*/
#include <nds.h>
#include <stdio.h>


void initBackgrounds();
void displayStarField();	
void initVideo();


const unsigned int starFieldBitmapLen = 8192; //###BACKGROUND SETUP
const unsigned int starFieldBitmap[]={  //###BACKGROUND SETUP 
0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFBDE,0xE318,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xF7BD,0xBDF1,
	0x94C7,0x8C84,0xEF7B,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xD295,0x98CE,0x94CC,
	0x98C7,0xE318,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xF39C,0xD295,0xF39C,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xF7BD,0xAD91,0x94B4,0x94CF,0x94C6,
	0xEB5A,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xE339,0x90CF,0x90AD,0xC632,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xEB7B,0x9D11,0x94B7,0x94B3,0x9086,0xCE73,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xB9F3,0x90B4,0x8C87,0xBE10,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xEB5C,0x98F6,0x94D9,0x94B5,0x94AB,0xA129,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xF7BD,0x90B3,0x8C8C,0x8863,0xC652,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xF7BD,0x9D17,0x90DB,0x94B7,0x94D2,0x9087,0xAD8C,0xFFFF,
	0xFFFF,0xEB5B,0xCA74,0xB5B0,0xA12C,0x9D0A,0xA109,0xA94B,
	0xB9CE,0xD294,0xF39C,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xA133,0x90B3,0x8C64,0x8863,
	0xEB5A,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xAD93,0x94DB,0x90DB,0x9496,0x94D1,0x9087,0x8C64,0xC211,
	0xA12D,0x90AF,0x94B4,0x94B4,0x94B1,0x90CE,0x90AB,0x9087,
	0x8C64,0x8863,0x8842,0xA108,0xD294,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xA952,0x90B7,0x8C86,0x8843,
	0xAD6B,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xF39D,
	0x94D6,0x94DC,0x94B9,0x94B5,0x90AC,0x9089,0x94AD,0x908A,
	0x908A,0x94B4,0x9494,0x8C8D,0x8C69,0x8C89,0x908A,0x8C8B,
	0x8C89,0x8C87,0x8C64,0x8C63,0x8842,0x98C6,0xEB5A,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFDF,0x9CF1,0x90D7,0x8C88,0x8843,
	0x8842,0xF39C,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xDAD9,
	0x94DA,0x90DC,0x94B8,0x9091,0x9090,0x94B6,0x94B8,0x94B8,
	0x94B6,0x94B7,0x9092,0x90B5,0x90B8,0x908F,0x8C65,0x9088,
	0x8C8D,0x8C8D,0x8C89,0x8C64,0x8863,0x8842,0x8C63,0xE318,
	0xFFFF,0xFFFF,0xDAD6,0x9D0E,0x90B9,0x90B3,0x8C87,0x8842,
	0x8441,0xCA52,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xD6D8,
	0x94DA,0x90DC,0x90B8,0x9091,0x94B9,0x90B2,0xA152,0x98D1,
	0x94DA,0x90DB,0x94B8,0x90B8,0x90DB,0x90DB,0x90AE,0x8C86,
	0x90AC,0x8C8E,0x8C8E,0x8C89,0x8C64,0x8C64,0x8C65,0x90A9,
	0xB9D4,0x9D10,0x90B4,0x90D9,0x90B9,0x90B0,0x8C86,0x8C62,
	0x8441,0xB5AE,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xEB7C,
	0x94D9,0x94DC,0x8CB0,0x94DA,0x9D32,0xCF3B,0xD37D,0xA951,
	0x94D9,0x94D4,0xADD5,0xB5F4,0xA130,0x90B8,0x90BA,0x8C89,
	0x90AD,0x8C8F,0x8C8F,0x8C8F,0x8C8C,0x908B,0x90B2,0x90BA,
	0x90BC,0x90DC,0x90BC,0x90BA,0x90B3,0x8CAC,0x8C64,0x8C62,
	0x8841,0xB5AD,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0x9D17,0x90B3,0x90B6,0x9D12,0xD75C,0xDBDE,0xCF3C,0x94D2,
	0x90B7,0xBE99,0xD7BE,0xD35E,0xCA78,0x9CEC,0x90BB,0x90B5,
	0x90AF,0x8C8F,0x8C8F,0x8C8F,0x8C8F,0x8C8F,0x90B3,0x90BB,
	0x90BC,0x90BB,0x90B8,0x90B3,0x8C8E,0x8C85,0x8C62,0x8C62,
	0x8841,0xCA52,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xB194,0x90AF,0x94D4,0xCF1B,0xE7FF,0xD7DE,0xB637,0x90B9,
	0xB1F7,0xE3DE,0xD7DE,0xD39E,0xCEFD,0xB9B0,0x90B5,0x90DB,
	0x90B3,0x8C90,0x8C8F,0x8C8F,0x8C8F,0x8C8F,0x8C8F,0x8C92,
	0x90B4,0x9093,0x8C91,0x8C8D,0x8C86,0x8C62,0x8C62,0x8C62,
	0x8842,0xF39C,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xB5D1,0x90B4,0xB637,0xE3DE,0xE3DE,0xD7DE,0xA157,0x9D37,
	0xDFBE,0xDFDE,0xD3DE,0xD3BE,0xCF3E,0xC614,0x90B0,0x90DC,
	0x90B8,0x8C90,0x8C8F,0x8C8F,0x8C8F,0x8C8E,0x8C8E,0x8C8E,
	0x8C8E,0x8C8D,0x8C87,0x8C63,0x8C62,0x8C62,0x8C62,0x8842,
	0xC211,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xB1B0,0x9914,0xD3BD,0xDF9C,0xD7DE,0xCF7D,0x90B6,0xC2BA,
	0xEBDF,0xD7DE,0xD3DE,0xD7DE,0xD35F,0xC635,0x98CF,0x90DC,
	0x90DB,0x90B2,0x8C8F,0x8C8E,0x8C8D,0x8C8B,0x8C8A,0x8C89,
	0x8C66,0x8C64,0x8C63,0x8C62,0x8C62,0x8C62,0x8842,0xB5AD,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0x98EF,0xB659,0xC295,0xA12A,0xB674,0xB658,0x9916,0xC6F8,
	0xC6D7,0xD3DE,0xD3DE,0xD7DE,0xD35F,0xC656,0x98ED,0x90DC,
	0x90BB,0x90B5,0x8C8F,0x8C8E,0x8C8B,0x8C67,0x8C65,0x8C65,
	0x8C63,0x8C62,0x8C62,0x8C62,0x8C42,0x8841,0xC210,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xEB5B,
	0x90B1,0xA9D0,0xC674,0x8842,0xA9CF,0xA154,0x8846,0xC695,
	0x8842,0xBA95,0xD7DE,0xD7DE,0xD37F,0xC656,0x98CC,0x90DC,
	0x90DB,0x90B7,0x8C90,0x8C8F,0x8C8C,0x8865,0x8C63,0x8C62,
	0x8C62,0x8C62,0x8C62,0x8842,0x8842,0xD294,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xD295,
	0x90B0,0x8C85,0x8422,0x8421,0xA18E,0x908F,0x8842,0xC695,
	0x8421,0x9D2A,0xD7DE,0xD7DE,0xD35F,0xC635,0x98CF,0x90DC,
	0x90DB,0x90B9,0x8C91,0x8C8F,0x8C8C,0x8865,0x8C63,0x8842,
	0x8842,0x8842,0x8842,0x94A5,0xE719,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFBDE,0xA130,
	0x94D7,0x8865,0x8421,0x8421,0x8C6B,0x8C6D,0x8421,0x8822,
	0x8421,0x90A6,0xD7DE,0xD7DE,0xD35E,0xC614,0x90B3,0x90DC,
	0x94DB,0x90D9,0x9091,0x8C8F,0x8C8C,0x8865,0x8863,0x8842,
	0x8841,0x8421,0xC231,0xFBDE,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xA973,0x94FB,
	0x94DC,0x90B5,0x8867,0x8869,0x9095,0x8C6C,0x8421,0x8421,
	0x8421,0x94E8,0xD7DE,0xD7DE,0xCF1C,0xB16E,0x90B8,0x90DC,
	0x90DA,0x90D8,0x8C91,0x8C8F,0x8C8B,0x8865,0x8863,0x8C62,
	0x8441,0x8421,0xEB5B,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xB9F4,0x94DB,0x90DC,
	0x94DB,0x90B5,0x9093,0x9094,0x9093,0x9092,0x8422,0x8421,
	0x8421,0xB232,0xD7DE,0xD7BE,0xCA77,0x98CD,0x90DB,0x90DC,
	0x90BA,0x90B7,0x8C90,0x8C8F,0x8C8B,0x8864,0x8C62,0x8C42,
	0x8441,0x8421,0xDEF8,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xDEF8,
	0xEB7B,0xFFFF,0xFFFF,0xFFFF,0xFBDF,0x94D3,0x90FC,0x90DC,
	0x90B7,0x90B9,0x90DC,0x90DC,0x90BB,0x9497,0x8C6D,0x8422,
	0x94E8,0xD3BE,0xD7DE,0xCEFA,0xA94D,0x90D5,0x90DA,0x90DB,
	0x90B9,0x90B5,0x8C90,0x8C8E,0x8C89,0x8864,0x8C62,0x8842,
	0x8421,0x8421,0xEF7B,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xF39D,
	0xB6D6,0xBAD7,0xE75A,0xFFFF,0xFBDE,0x94D4,0x94FC,0x90DC,
	0x90B6,0x90B9,0x90DC,0x90DC,0x90DC,0x90B9,0x948D,0x8C6C,
	0x94CE,0xA9B2,0x9D31,0x94AF,0x8C8F,0x9091,0x90B4,0x90B4,
	0x8C91,0x8C90,0x8C8F,0x8C8E,0x8C67,0x8C63,0x8C62,0x8841,
	0x8421,0x8C63,0xFBDE,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xDF19,0x9F5D,0x933C,0xC2B6,0xFFFF,0xA134,0x94FC,0x90DC,
	0x90BA,0x90B2,0x90B7,0x90BA,0x90DB,0x90B2,0x948A,0x8C68,
	0x94B7,0x90B9,0x90BB,0x90BB,0x90BB,0x90BC,0x90BB,0x90B9,
	0x9093,0x8C8F,0x8C8F,0x8C8C,0x8C65,0x8C62,0x8C62,0x8421,
	0x8421,0xB5AD,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xF39C,0xFFFF,0xFFFF,
	0xFFFF,0xA696,0x92B8,0xA2D8,0xF3BD,0xD6D9,0x98FB,0x98DA,
	0x94D7,0x94B7,0x9092,0x908E,0x9090,0x908F,0x908D,0x9091,
	0x90B9,0x90BB,0x90BC,0x90BC,0x90BC,0x90BC,0x90BC,0x90BB,
	0x90B7,0x8C8F,0x8C8E,0x8C89,0x8C63,0x8C62,0x8841,0x8421,
	0x8441,0xEF7B,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xC2D7,0xBEF8,0xD719,
	0xEF7B,0xE739,0xFBDF,0xC719,0xA6B8,0xFFFF,0xB194,0x98D9,
	0x94B4,0x908B,0x90B5,0x94BA,0x94BA,0x94BA,0x94BA,0x94B9,
	0x90BB,0x90BC,0x90BC,0x90BC,0x90BA,0x90B9,0x90B6,0x90B7,
	0x90B5,0x8C8F,0x8C8C,0x8C66,0x8C62,0x8842,0x8421,0x8421,
	0xBDEF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xDF39,0x975E,0x8B5E,
	0xB296,0xF7BD,0xFFFF,0xE75A,0x9F3C,0xE75A,0xFBDE,0xB9F3,
	0x98D0,0x9CD1,0x948B,0x94B5,0x94BA,0x90BA,0x90BB,0x90BB,
	0x90BB,0x90BB,0x90BA,0x94B6,0x94B2,0x8C6A,0x8867,0x8C8A,
	0x908D,0x908B,0x9089,0x8C63,0x8C62,0x8421,0x8421,0xA529,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xA254,0xB696,
	0x871B,0xAAF9,0xE339,0xCAF7,0x8F5D,0xDAF7,0xFFFF,0xFFFF,
	0xF39C,0xC633,0x9CEC,0x90AB,0x94B3,0x94B8,0x90B9,0x94B8,
	0x94B7,0x94B6,0x94B2,0x948D,0x8C67,0x8C6B,0x90AF,0x94B0,
	0x90AE,0x9088,0x8C64,0x8C62,0x8842,0x8421,0xA529,0xFBDE,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xDF18,0xDB3A,0xF39D,0xFFFF,0xFFFF,0xFFFF,0xFBDE,0xFFFF,
	0xD718,0x8AFA,0x9B5D,0x935D,0x9297,0xFBDE,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xCE75,0x90A9,0x8C8D,0x908F,0x94B1,
	0x948F,0x906B,0x8C68,0x8C6A,0x9093,0x94B4,0x98B1,0x94B0,
	0x94AF,0x9489,0x8C63,0x8C62,0x8842,0xB9CE,0xFBDF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFBDE,0xC6D7,0xA73B,0x9F1B,0xAA95,0xEF7B,0xFFFF,0xFFFF,
	0xFBDE,0xBAB6,0x875E,0x835E,0xAF1A,0xDF39,0xE73C,0xAD9A,
	0x9D3B,0xA137,0xCA56,0xFFFF,0xEB5B,0xAD70,0x90AC,0x908E,
	0x8C8F,0x9092,0x90B5,0x94B4,0x94B2,0x94AF,0x948C,0x948B,
	0x948B,0x9086,0x8C62,0x8C42,0xB18C,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xDB39,0x931B,0x92D9,0xC6D7,0xD719,0xC6F8,
	0xAB1A,0x937E,0x86FB,0x9696,0x875E,0xA73B,0x94D5,0x94FC,
	0x94FC,0x94D8,0x98AA,0xE318,0xFFFF,0xFFFF,0xEF7B,0xAD6F,
	0x908C,0x908C,0x948B,0x9089,0x9068,0x908A,0x94AF,0x90AF,
	0x948C,0x9087,0x8C63,0x8C62,0xCA52,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xEF9C,0xAAB7,0x8AFB,0x8B5E,0x875E,
	0x86D9,0xB2B7,0xEF7C,0xFBDE,0xB296,0x871C,0x90D2,0x94DC,
	0x94DB,0x98AF,0x94A7,0xD274,0xFFFF,0xFFFF,0xFFFF,0xD297,
	0x94B4,0x9092,0x9091,0x90B3,0x94B6,0x90B8,0x90B8,0x90B7,
	0x90B5,0x94B0,0x9087,0x8C62,0xC631,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xF39C,0xE75B,0xE35B,
	0xF7BD,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xA5B1,0x90F4,0x90B2,
	0x94B1,0x9487,0x98C7,0xD6B5,0xEB5A,0xFBDE,0xFFFF,0xB1B5,
	0x94B9,0x90BB,0x90BB,0x90BC,0x90BB,0x90BA,0x90BA,0x90BA,
	0x90BA,0x90B9,0x908A,0x8C63,0x98C6,0xFBDE,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xD6B7,0x94DA,0x94FC,0x94DB,
	0x94D6,0x94A9,0x9487,0x98A7,0x9085,0x94A6,0xA0EB,0x94D7,
	0x90BB,0x90BC,0x90BC,0x90BC,0x90BB,0x90BA,0x90BA,0x90BA,
	0x90BA,0x90B8,0x90AC,0x8C63,0x8842,0xC631,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xBE15,0x94FB,0x94FC,0x94FC,
	0x98D6,0x98A9,0x9889,0x9CA9,0x98A6,0x9085,0x98CB,0x94D2,
	0x90D3,0x90B3,0x90B4,0x90B9,0x90BB,0x90BB,0x90BA,0x90BA,
	0x98D2,0x94D3,0x908B,0x8C62,0x8842,0x9CE7,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xDF1A,0x98D6,0x98DA,0x98D8,
	0x98B0,0x9087,0x98AA,0x98A8,0x98A5,0x8C85,0x94D6,0x94DC,
	0x90FC,0x94FC,0x94DB,0x90B3,0x90AF,0x94D5,0x94D6,0x98D2,
	0x94AC,0x94B1,0x90AB,0x8C62,0x8842,0x8441,0xF39C,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xE31A,0x9CEE,0x90AD,
	0x94AD,0x98AF,0x98AC,0x98A7,0x9085,0x94A5,0x90AF,0x94FC,
	0x94FC,0x94FC,0x94FC,0x94DB,0x94B5,0x908C,0x94A9,0x90A9,
	0x90AA,0x94D1,0x90AA,0x8C63,0x8842,0x8421,0xE318,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xEF7C,0x9D15,
	0x94DA,0x98B5,0x94A9,0x9086,0x98A7,0x9087,0x94D8,0x94FC,
	0x94FC,0x94FC,0x94FC,0x94DC,0x94B9,0x94B5,0x98D0,0x94CD,
	0x94CE,0x94AC,0x9085,0x8C62,0x8C42,0x8421,0xD6B6,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFBDE,
	0xE319,0xDEF8,0xA10A,0x9485,0x9087,0x90B4,0x94DB,0x94FC,
	0x94FC,0x94FC,0x94DB,0x94D9,0x94D3,0x98D0,0x98AE,0x98AA,
	0x94A7,0x9085,0x8C63,0x8C62,0x8842,0x8421,0xD6B5,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xAD6F,0x94B2,0x94B6,0x94B9,0x94DB,
	0x94DB,0x94D9,0x94D6,0x98D1,0x94AE,0x94AC,0x948A,0x98A6,
	0x94A4,0x9083,0x8C63,0x8C62,0x8842,0x8441,0xD6B6,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xDEF8,0x94AB,0x98CF,0x98D0,0x98D2,
	0x98D2,0x98D1,0x98CF,0x98AE,0x94AC,0x948A,0x98A8,0x94A5,
	0x9484,0x8C63,0x8C62,0x8C42,0x8842,0x8C63,0xEF7C,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xA10C,0x9088,0x948A,0x94AB,
	0x98AE,0x98AE,0x98AC,0x948B,0x948A,0x98A9,0x94A5,0x8C83,
	0x8C83,0x8C63,0x8C63,0x8862,0x8842,0xB5AE,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xEB7C,0x94B6,0x908E,0x9489,0x988A,
	0x948A,0x948A,0x948A,0x9489,0x98A8,0x9485,0x8C83,0x8C63,
	0x8842,0x8842,0x8842,0x8862,0x8842,0xB18C,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xDADA,0x90DC,0x90DB,0x90B6,0x908D,
	0x9089,0x9087,0x9085,0x8C64,0x8C43,0x8842,0x8CC7,0x8D4C,
	0x89F2,0x8CA5,0x9484,0x9063,0x8862,0x9084,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xDAD8,0x90DB,0x90FC,0x90DC,0x90B9,
	0x9091,0x8C8A,0x8C66,0x8C65,0x9087,0x94A9,0x90A8,0x8D6D,
	0x8A76,0x86D9,0x89CF,0x8C84,0x8C83,0x8842,0xDEF7,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xF3BD,0x94B2,0x90DC,0x90FC,0x90DC,
	0x90BB,0x90B8,0x94B6,0x94B2,0x94AD,0x94AB,0x94AA,0x94A9,
	0x8CE8,0x89F1,0x8AB7,0x86D9,0x8909,0x8842,0xA94A,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xC234,0x90B7,0x90DC,0x90DC,
	0x90DB,0x90B9,0x9097,0x90B6,0x94B0,0x948B,0x948A,0x94A8,
	0x98A7,0x94A5,0x892B,0x8A54,0x858D,0x8842,0x8842,0xE318,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFBFF,0xA951,0x90B6,0x90B9,
	0x90BA,0x90B9,0x9095,0x9092,0x948C,0x9489,0x94A8,0x9486,
	0x9084,0x9063,0x8C63,0x8863,0x8842,0x8842,0x8842,0x94A5,
	0xF7BD,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xCA53,0x9089,0x908B,
	0x908D,0x908E,0x908D,0x948B,0x9088,0x9087,0x9486,0x9063,
	0x8C62,0x8842,0x8842,0x8842,0x8842,0x8842,0x8C63,0x8C63,
	0x9CE7,0xF39C,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xCE93,0x9122,0x9584,
	0x9545,0x8C85,0x8864,0x8C85,0x90E1,0x8CE1,0x8C62,0x8842,
	0x8842,0x8863,0x8C83,0x90A4,0x8842,0x8842,0x8C63,0x9484,
	0x9484,0x98C6,0xDEF7,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xF39C,0x99A4,0xAAA8,
	0xA685,0x99C1,0x9101,0x90E3,0x99C1,0x9A01,0x99A0,0x9121,
	0x95C4,0x95A6,0x9525,0x94E5,0x94E7,0xA108,0x8842,0x8C63,
	0x9484,0x94A4,0x90A4,0xAD6B,0xE318,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xEB5B,0xCA74,0xA1E6,0xA243,
	0xA244,0xA245,0x95A2,0x9582,0xA646,0xA226,0x9E44,0x99A0,
	0x9A03,0x9584,0xA94A,0x9D07,0x8CA3,0xE739,0xD294,0x94A5,
	0x8C63,0x94A5,0x94A5,0x90A4,0x90A5,0xA529,0xC631,0xEB5A,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xF7BD,0xE73A,0xDEF9,0xDEF8,0xCE75,
	0xC633,0xC673,0xCA94,0xADCC,0xA20A,0xA629,0xAA88,0xA646,
	0xA246,0x99C1,0x9101,0x99A3,0xA648,0xAA89,0xA267,0x99C1,
	0x99E3,0x9966,0xBDD0,0xA94B,0x90A3,0xB9CE,0xFFFF,0xFBDE,
	0xD6B5,0xA94A,0x9084,0x9484,0x94A5,0x94A5,0x94A5,0x90A5,
	0x98C6,0xA94B,0xC631,0xDEF7,0xF7BD,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFBDF,
	0xE73B,0xD6F9,0xCEF9,0xCF1A,0xD33C,0xD73B,0xB5D0,0x9D0B,
	0x99A7,0xA284,0xA267,0x9DE9,0x99AA,0x99C6,0x99E4,0x9A03,
	0x99E3,0x9DC4,0xA225,0x9DE4,0x9580,0x9120,0x9561,0x99C1,
	0x95C4,0x9586,0x9907,0x94C5,0x94C4,0x98C6,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xF39C,0xD6B5,0xB1AD,0x94C6,0x94A4,0x90A5,
	0x90A5,0x9085,0x9084,0x8C84,0x8C64,0x98C7,0xA52A,0xB5AD,
	0xCA73,0xE319,0xFFDF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xD6B8,0xD2D9,
	0xDFBE,0xE3DF,0xE3DF,0xE3DF,0xE3DF,0xDFBF,0xCEB7,0xB16D,
	0xA12D,0xB233,0xC6B9,0xD33B,0xD75C,0xCADA,0xB5D2,0xA14A,
	0x9545,0x9E22,0x9E22,0x99C1,0x99C1,0x99E1,0x95C3,0x95E4,
	0x95C6,0x9566,0x9526,0x94E5,0x94E5,0x90A4,0xE73A,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFBDF,0xEB5A,0xD294,
	0xB9CE,0xA54A,0x94C6,0x8C84,0x8C64,0x8C64,0x8C87,0x8C8B,
	0x8C69,0x8C66,0x90A7,0xB18D,0xE318,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xE73B,0xD2FB,0xD73D,
	0xD31C,0xD73D,0xD73D,0xD73C,0xD31B,0xD2D9,0xBDD2,0xBE35,
	0xDFBE,0xE3DF,0xDFDF,0xE3DF,0xE3DF,0xE3DF,0xDB7D,0xC613,
	0xA92C,0x9145,0x9E22,0x9E22,0x9A03,0x99E4,0x95E5,0x95C7,
	0x9547,0x94E6,0x94E5,0x94E6,0x98C5,0xA4E6,0xD273,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xF7BD,0xEB5A,0xE318,0xD2B5,0xC654,
	0xB5B2,0x98F0,0x8C8F,0x8C8C,0x8866,0xA94A,0xF7BD,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xEF7D,0xCA78,0xDFBE,
	0xDFBF,0xDFBF,0xDFBE,0xDB7E,0xCE97,0xB9AF,0xC236,0xCEDA,
	0xDFBE,0xDFDF,0xE3DF,0xE3DF,0xE3DF,0xE3DF,0xDB5C,0xCA34,
	0xB58E,0x98C7,0x99E6,0x99E6,0x95A6,0x9566,0x9506,0x94E6,
	0x94C5,0x94C5,0xA4E5,0xB126,0xB526,0xAD07,0xDAD6,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xE33B,0xA533,0x9091,0x8867,0x9CE7,0xFBDE,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xE73B,0xC656,
	0xC298,0xCF1B,0xD75D,0xD31B,0xCA56,0xB58E,0xC676,0xDB7E,
	0xD31B,0xD2FA,0xCEDA,0xCAD9,0xC6B7,0xC255,0xBDD1,0xB56E,
	0xA92A,0x98A7,0x94E6,0x94E6,0x94C6,0x98C6,0xA0E6,0xA8E6,
	0xB126,0xB926,0xB527,0xA907,0xB9AF,0xE33A,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFBDE,0xB9CF,0xDAD7,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xF7BD,0x90B0,0x8C8B,0x8442,0xD295,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFBDF,0xF39D,0xEF7C,0xEF7C,0xEF7B,0xF37C,0xD297,0xD73C,
	0xDF9F,0xDF9F,0xDF9F,0xDF9E,0xDB7E,0xDB5D,0xCEB7,0xB98D,
	0xB548,0xB946,0xB946,0xB946,0xB946,0xB946,0xB946,0xB526,
	0xAD07,0xB98D,0xD295,0xF39C,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xDAD7,0x9D10,0x9093,0x98CC,0xFFFF,
	0xFFFF,0xFFFF,0xF39C,0xB1B1,0x8C89,0x8843,0x8421,0xE739,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xF39D,
	0xE35C,0xD6FA,0xCED9,0xC698,0xC697,0xC276,0xBE34,0xAD2A,
	0xA8E7,0xA907,0xA907,0xA929,0xB16C,0xB9CF,0xCA54,0xE319,
	0xF7BD,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xD6B7,0xA130,0x90B3,0x9096,0x90B6,0x8C8F,0xB5D0,
	0xB5D0,0xA12D,0x8C69,0x8845,0x8421,0x8421,0xC631,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xF7BE,0xF7BD,0xF39C,0xEF7C,
	0xEF9C,0xF7BE,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xD296,
	0xA112,0x90B5,0x90B6,0x90B6,0x90B6,0x90B5,0x8C8F,0x8C6C,
	0x8867,0x8422,0x8421,0x94A5,0xB9CE,0xEB5A,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xCE76,0x9D12,0x90B4,
	0x9094,0x9093,0x9092,0x9090,0x8C8E,0x8C6B,0x8869,0x8443,
	0xC631,0xE739,0xF7BD,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,

	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xC211,0xB5D3,0xB9F3,0xC213,
	0xC633,0xCA53,0xD295,0xDAD6,0xDAD6,0xDAD6,0xDEF7,0xDEF7,
	0xF39C,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF

};



static const int DMA_CHANNEL = 3;

//---------------------------------------------------------------------------------
int main(void) {
	//---------------------------------------------------------------------------------
	powerOn(POWER_ALL_2D);
	lcdMainOnBottom(); // Place the main screen on the bottom physical screen
	initVideo();
	initBackgrounds();
	displayStarField();

	consoleDemoInit (); //debug console on top. To print helloWorld here do: fprintf (stderr, "helloWorld");
	consoleDebugInit(DebugDevice_CONSOLE);
	



	return 0;
}


void initVideo() { 
	/*
	*  Map VRAM to display a background on the main and sub screens.
	* 
	*  The vramSetMainBanks function takes four arguments, one for each of the
	*  major VRAM banks. We can use it as shorthand for assigning values to
	*  each of the VRAM bank's control registers.
	*
	*  We map banks A and B to main screen background memory. This gives us
	*  256KB, which is a healthy amount for 16-bit graphics.
	*
	*  We map bank C to sub screen background memory.
	*
	*  We map bank D to LCD. This setting is generally used for when we aren't
	*  using a particular bank.
	*/
	vramSetMainBanks(VRAM_A_MAIN_BG_0x06000000,
		VRAM_B_MAIN_BG_0x06020000,
		VRAM_C_SUB_BG_0x06200000,
		VRAM_D_LCD);

	/*  Set the video mode on the main screen. */
	videoSetMode(MODE_5_2D | // Set the graphics mode to Mode 5
		//DISPLAY_BG2_ACTIVE | // Enable BG2 for display
		DISPLAY_BG3_ACTIVE); //Enable BG3 for display

	/*  Set the video mode on the sub screen. */
	videoSetModeSub(MODE_5_2D | // Set the graphics mode to Mode 5
		DISPLAY_BG3_ACTIVE); // Enable BG3 for display
}



void initBackgrounds(){ 
	/*  Set up affine background 3 on main as a 16-bit color background. */
	REG_BG3CNT = BG_BMP16_128x128 |
		BG_BMP_BASE(0) | // The starting place in memory
		BG_PRIORITY(0); // A low priority

	/*  Set the affine transformation matrix for the main screen background 3
	*  to be the identity matrix. 1<<8 is 1 here because of fixed point arithmetic.
	*/
	REG_BG3PA = 1<< 8;
	REG_BG3PB = 0;
	REG_BG3PC = 0;
	REG_BG3PD = 1<< 8;

	/*  Place main screen background 3 at the origin (upper left of the
	*  screen).
	*/
	REG_BG3X = 0;
	REG_BG3Y = 0;

	
}


void displayStarField(){ 

	dmaCopyHalfWords(DMA_CHANNEL,
		starFieldBitmap, /* This variable is generated for us by
						 * grit. */
						 (uint16 *)BG_BMP_RAM(0), /* Our address for main
												  * background 3 */
												  starFieldBitmapLen); /* This length (in bytes) is generated
																	   * from grit. */

}
